﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
#ignorewarnings:12
#Region BANano 
	' <-------------- IMPORTANT! This is because we want this module to be transpiled by BANano 
#End Region

'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "listviewcheckboxes"
	Private banano As BANano	'ignore
	Private btnGet As VBtn
	Private btnSet As VBtn
	Private VCol1 As VCol
	Private VCol2 As VCol
	Private VCol3 As VCol
	Private VContainer1 As VContainer
	Private VList1 As VList
	Private VListOptions1 As VListOptions
	Private VRow1 As VRow
	Private VRow2 As VRow
	Private VCol4 As VCol
	Private VList2 As VList
	Private VListOptions2 As VListOptions
	Private VRow3 As VRow
End Sub

Sub Initialize(v As VuetifyApp)
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	'set the page title
	page.Title = "BVAD3 - ListView CheckBoxes"
	'uncomment this line if this will be the first page
	page.StartPage
	path = page.path
	'
	'build the page html here
	banano.LoadLayout(page.Here, "listviewcheckboxeslayout")
	'COMPULSORY
	VList1.SetOptions(VListOptions1)	
	VList2.SetOptions(VListOptions2)
	'initialize this on pgIndex.AddPages
	'add the route page to vuetify instance
	vuetify.AddRoute(page)
End Sub

Sub beforeEnter(boTo As Map, boFrom As Map, boNext As BANanoObject)   'ignoreDeadCode
	vuetify.Loading(True)
	'the page we are going to
	'vuetify.SaveRoute(boTo, False)
	'check authentication
	'If vuetify.Authenticated = False Then
	'user is not authenticated, go to login page
	'	vuetify.NavigateToNext(boNext, "login")
	'	Return
	'End If
	'continue navigation
	vuetify.NavigateToNext(boNext, "")
	'update the page title
	vuetify.SetBrowserTitle(boTo)
End Sub

'You are able to access reactive data and events that are active with the created hook.
'Templates and Virtual DOM have not yet been mounted or rendered:
'Sub created		'IgnoreDeadCode
'	Log("created")
'End Sub

'In the mounted hook, you will have full access to the reactive component, templates, and rendered DOM
Sub mounted		'ignoreDeadCode
	'clear the listview
	VList1.Clear(page)
	VList1.AddHeader("Lights (On/Off)")
	VList1.AddItemLeftCheckBox("a1", False, "Kitchen", "", "")
	VList1.AddItemLeftCheckBox("a2", False, "Lounge", "", "")
	VList1.AddItemLeftCheckBox("a3", False, "Dining Room", "", "")
	VList1.AddItemLeftCheckBox("a4", False, "Bedroom 1", "Light needs attention", "Urgent")
	
	VList1.AddHeader("Blinds (On/Off)")
	VList1.AddItemLeftCheckBox("a5", False, "Kitchen", "", "")
	VList1.AddItemLeftCheckBox("a6", False, "Lounge", "", "")
	VList1.AddItemLeftCheckBox("a7", False, "Dining Room", "", "")
	VList1.AddItemLeftCheckBox("a8", False, "Bedroom 1", "Dog tore blinds, attend.", "Urgent")
	'VList1.AddItemLeftSwitch("a4", True, "AddItemLeftSwitch", "xxx", "xxx1")
	'VList1.AddItemRightRating("a6", 0.5, "AddItemRightRating", "xxx", "xxx1")
	'VList1.AddItemRightSwitch("a7", False, "AddItemRightSwitch", "xxx", "xxx1")
	'refresh the drawer
	VList1.Refresh(page)
	
	'********
	VList2.Clear(page)
	VList2.AddHeader("Lights (On/Off)")
	VList2.AddItemRightCheckBox("a1", False, "Kitchen", "", "")
	VList2.AddItemRightCheckBox("a2", False, "Lounge", "", "")
	VList2.AddItemRightCheckBox("a3", False, "Dining Room", "", "")
	VList2.AddItemRightCheckBox("a4", False, "Bedroom 1", "Light needs attention", "Urgent")
	
	VList2.AddHeader("Blinds (On/Off)")
	VList2.AddItemRightCheckBox("a5", False, "Kitchen", "", "")
	VList2.AddItemRightCheckBox("a6", False, "Lounge", "", "")
	VList2.AddItemRightCheckBox("a7", False, "Dining Room", "", "")
	VList2.AddItemRightCheckBox("a8", False, "Bedroom 1", "Dog tore blinds, attend.", "Urgent")
	'refresh the drawer
	VList2.Refresh(page)
	vuetify.Loading(False)
End Sub

'Use beforeDestroy if you need to clean-up events or reactive subscriptions:	
'Sub beforedestroy		'ignoreDeadCode
'	Log("beforedestroy")
'End Sub

'The updated hook runs after data changes on your component and the DOM re-renders.
'Sub updated			'ignoreDeadCode
'	Log("updated")
'End Sub

'The beforeUpdate hook runs after data changes on your component and the update cycle begins, right before the DOM is patched and re-rendered.
'Sub beforeupdate		'ignoreDeadCode
'	Log("beforeupdate")
'End Sub

'The beforeMount hook runs right before the initial render happens and after the template or render functions have been compiled:
'Sub beforemount		'ignoreDeadCode
'	Log("beforemount")
'End Sub

'The beforeCreate hook runs at the very initialization of your component. data has not been made reactive, and events have not been set up yet
'Sub beforecreate		'ignoreDeadCode
'	Log("beforecreate")
'End Sub

'Use destroyed if you need do any last-minute cleanup or inform a remote server that the component was destroyed:
'Sub destroyed		'ignoreDeadCode
'	Log("destroyed")
'End Sub

Private Sub btnSet_Click (e As BANanoEvent)

End Sub

Private Sub btnGet_Click (e As BANanoEvent)
	Log(VList1.GetPreferencesChecked(page, True))
End Sub

Private Sub VList1_Click (item As Map)
	
End Sub

Private Sub VList1_LeftClick (item As Map)
	Dim sid As String = item.Get("id")
	vuetify.ShowSwalNotification(sid)
End Sub

Private Sub VList2_RightClick (item As Map)
	Dim sid As String = item.Get("id")
	vuetify.ShowSwalNotification(sid)
End Sub